const Discord = require("discord.js")
const db = require("quick.db")

module.exports = {
  name: "setwelcome",
  category: "moderation",
  usage: "setwelcome <#channel>",
  description: "Stellen Sie den Begrüßungskanal ein",
  run: (client, message, args) => {
     if (!message.member.hasPermission("ADMINISTRATION")) {
      return message.channel.send("Entschuldigung, Sie brauchen die Rechte");
    }
    let channel = message.mentions.channels.first()
    
    if(!channel) {
      return message.channel.send("Bitte erwähnen Sie den Kanal")
    }
    
    //Now we gonna use quick.db
    
    db.set(`welchannel_${message.guild.id}`, channel.id)
    
    message.channel.send(`Willkommenskanal ist eingestellt als ${channel}`)
  }
}